# \Thelia\ActionBaseAction

## Summary

Methods
Properties
Constants
No public methods found
No public properties found
No constants found
validateForm()
propagateFormError()
redirect()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Action/BaseAction.php
Package
  \Default
Class hierarchy
  \Thelia\Action\BaseAction

## Tags

None found

## Methods

### validateForm()

    validateForm(\Thelia\Form\BaseForm $aBaseForm,  $expectedMethod)

#### Parameters

\Thelia\Form\BaseForm | $aBaseForm |
| $expectedMethod |

#

## Tags

None found

### propagateFormError()

    propagateFormError(\Thelia\Form\BaseForm $aBaseForm, string $error_message, \Thelia\Core\Event\ActionEvent $event)

#### Parameters

\Thelia\Form\BaseForm | $aBaseForm |
string | $error_message |
\Thelia\Core\Event\ActionEvent | $event |

#

## Tags

None found

### redirect()

    redirect( $url,  $status)

#### Parameters

| $url |
| $status |

#

## Tags

None found

### BaseAction.php